| MissingH-1.1.0.3: Large utility library | Contents | Index
Control.Concurrent.Thread.Utils |
Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>
Contents
I/O utilities
Description
This module provides various helpful utilities for dealing with threads. Written by John Goerzen, jgoerzen@complete.org
Synopsis
runInThread :: IO a -> (a -> IO b) -> IO ThreadId
I/O utilities
runInThread :: IO a -> (a -> IO b) -> IO ThreadId
Takes a IO action and a function. The IO action will be called in a separate thread. When it is completed, the specified function is called with its result. This is a simple way of doing callbacks.
Produced by Haddock version 2.7.2